<?php

if (!class_exists("ABDatabasePeekIntegrate")) {
	class ABDatabasePeekIntegrate {
		
		function integrate() {
			add_action( 'add_meta_boxes', array($this,'create_metaboxes') );
			add_action( 'post_row_actions', array($this,'add_post_row_action'), 10, 2);
			add_filter( 'page_row_actions', array($this,'add_post_row_action'), 10, 2);
			add_filter( 'comment_row_actions', array($this,'add_comment_row_action'), 10, 2);
			add_filter( 'media_row_actions', array($this,'add_post_row_action'), 10, 2);
			add_filter( 'tag_row_actions', array($this,'add_tag_row_action'), 10, 2);
			add_filter( 'user_row_actions', array($this,'add_user_row_action'), 10, 2);
		}
		
		function create_metaboxes() {
		
			if (!ABDatabasePeekSettings::option_integrate()) return;
		
			add_meta_box( 
				'ab_database_peek_post_meta_box',
				__( 'Database'),
				array($this,'post_custom_box'),
				'post',
				'side',
				'low'
			);
		
			add_meta_box( 
				'ab_database_peek_page_meta_box',
				__( 'Database'),
				array($this,'post_custom_box'),
				'page',
				'side',
				'low'
			);
		}
		
		
		function post_custom_box($post) {
			global $wpdb;
		
			$examine = _('Examine');
			$url = ABDatabasePeek::show_table_link($wpdb->posts, $post->ID);			
			echo "<a href=\"$url\">$examine</a>";			
		}		

		
		function add_post_row_action($actions, $post){
			global $wpdb;
		
			$examine = _('Examine');
			$url = ABDatabasePeek::show_table_link($wpdb->posts, $post->ID);			
			$actions['examine'] = "<a href=\"$url\">$examine</a>";
			
			return $actions;
		}

		
		function add_comment_row_action($actions, $comment){
			global $wpdb;
		
			$examine = _('Examine');
			$url = ABDatabasePeek::show_table_link($wpdb->comments, $comment->comment_ID);			
			$actions['examine'] = "<a href=\"$url\">$examine</a>";
			
			return $actions;
		}

		
		function add_tag_row_action($actions, $tag){
			global $wpdb;
		
			$examine = _('Examine');
			$url = ABDatabasePeek::show_table_link($wpdb->terms, $tag->term_id);			
			$actions['examine'] = "<a href=\"$url\">$examine</a>";
			
			return $actions;
		}

		
		function add_user_row_action($actions, $user){
			global $wpdb;
		
			$examine = _('Examine');
			$url = ABDatabasePeek::show_table_link($wpdb->users, $user->ID);			
			$actions['examine'] = "<a href=\"$url\">$examine</a>";
			
			return $actions;
		}

		
	}
}